## fofix-dfsg 3.121

=== Makefile ===
# evilynux - Change this path to make it point to your cxFreeze in case it's not
#            in the default path. See example below.
CXFREEZE=cxfreeze
#CXFREEZE=/usr/src/cx_Freeze-3.0.3/FreezePython

# evilynux - Autodetect pyopengl and python versions.
PYTHON_VERSION=$(shell python -V 2>&1 | sed -e "s/^.\+\ \([0-9]\.[0-9]\).\+$$/\1/")
PYOGL_VERSION=$(shell python${PYTHON_VERSION} -c "import OpenGL; print OpenGL.__version__" | cut -d"." -f1)
# evilynux - If you want, you may Force pyopengl and python versions below.
#PYTHON_VERSION=2.4
#PYOGL_VERSION=2

PYTHON=python${PYTHON_VERSION}
PYTHON_LIBS=/usr/lib/python${PYTHON_VERSION}
MESSAGESPOT=messages.pot

# evilynux - If we're using pyopengl3.x with need more dependencies
PYOGL3_INCL=$(shell test ${PYOGL_VERSION} = "2" && echo "" || echo "OpenGL.platform.glx,OpenGL.arrays.ctypesarrays,OpenGL.arrays.numpymodule,OpenGL.arrays.lists,OpenGL.arrays.numbers,OpenGL.arrays.strings,")

# evilynux - Update files from SVN and build version number at the same time. This is "clever" but hard to understand... :-(
SVN_VERSION = $(shell svn up | sed -e "s/.\+\ \([0-9]\+\)\./r\1/")
MAIN_VERSION = $(shell grep 'VERSION = ' src/Version.py | sed -e "s/^[^0-9]\+\(.\+\)'/\1/")
VERSION = "${MAIN_VERSION}~${SVN_VERSION}"
# evilynux - Dynamically get the architecture; only supports 32bit/64bit
UNAME = $(shell uname -m)
ARCH = $(shell test $(UNAME) = "i686" && echo 32bit || echo 64bit)
# evilynux - Folder names for both patches and full releases
DIRFULL=FoFiX-${VERSION}-Full-GNULinux-${ARCH}
DIRPATCH=FoFiX-${VERSION}-Patch-GNULinux-${ARCH}

all:	dist

patch: dist
	@echo --- Creating patch
	[ -d ${DIRPATCH} ] && \
	rm -rf ${DIRPATCH}* || echo 
	perl pkg/Package-GNULinux.pl -d ${DIRPATCH} -l pkg/Dist-Patch3_0xx-GNULinux.lst &&\
	tar -cjvf ${DIRPATCH}.tar.bz2 ${DIRPATCH}/

bindist: dist
	@echo --- Creating full release
	[ -d ${DIRFULL} ] && \
	rm -rf ${DIRFULL}* || echo 
	perl pkg/Package-GNULinux.pl -d ${DIRFULL} -l pkg/Dist-MegaLight-GNULinux.lst &&\
	tar -cjvf ${DIRFULL}.tar.bz2 ${DIRFULL}/

dist:
	@echo --- Detected version: ${VERSION}
	@echo --- Building binary
	$(CXFREEZE) --target-dir dist \
--exclude-modules tcl,tk,Tkinter \
--include-modules \
encodings.string_escape,\
encodings.iso8859_1,\
SongChoosingScene,\
GuitarScene,\
ctypes.util,pkg_resources,weakref,Image,\
OpenGL,$(PYOGL3_INCL)\
xml.sax.drivers2.drv_pyexpat,\
GameResultsScene src/FoFiX.py

	-cp /usr/lib/libpython2.4.so.1.0 \
           /usr/lib/libSDL_ttf-2.0.so.0 \
           /usr/lib/libSDL_mixer-1.2.so.0 \
           /usr/lib/libvorbisfile.so.3 \
           /usr/lib/libvorbis.so.0 \
           /usr/lib/libogg.so.0 \
           /usr/lib/libsmpeg-0.4.so.0 \
           /usr/lib/libffi.so.5 \
           /usr/lib/liblapack.so.3gf \
           /usr/lib/libmikmod.so.2 \
           /usr/lib/libblas.so.3gf \
           dist
	mv dist/FoFiX dist/FoFiX.bin
	-cp src/launcher.sh dist/FoFiX
	-chmod +x dist/FoFiX

translations:
	cd src && \
	xgettext --from-code iso-8859-1 -k_ -kN_ -o $(MESSAGESPOT) *.py && \
	cd ..

clean:
	@rm -rf dist

.PHONY: clean

=== debian/changelog ===
fofix-dfsg (3.121-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove explicit usage of quilt, with source format 3.0 (quilt) is implied.
  * Build using dh-python instead of python-support.  Closes: #786113

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Dec 2015 14:00:05 +0000

fofix-dfsg (3.121-3) unstable; urgency=low

  * Removed Debian specific no_numeric_module patch as it introduced bugs
    and the program runs fine without it.
    Thanks to Alessio Gaeta. Closes: #696641

 -- Christian Hammers <ch@debian.org>  Wed, 09 Jan 2013 00:24:42 +0100

fofix-dfsg (3.121-2) unstable; urgency=low

  * Removed architecture tag [amd64] from python-pygame dependency as this
    was not policy compliant for an architecture all package. Was not
    necessary for the current version anyway. Also removed architecture tag
    from Suggests. Closes: #581305
  * Adjusted debian/watch for current code.google.com page.

 -- Christian Hammers <ch@debian.org>  Mon, 24 May 2010 13:23:10 +0200

fofix-dfsg (3.121-1) unstable; urgency=low

  * First Debian release based on the unofficial package by John Stumpo.
    Closes: #525986
  * New upstream release.
  * Lowered dependency to python-pygame to 1.8 as 1.9 is not yet in unstable.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Christian Hammers <ch@debian.org>  Sun, 21 Feb 2010 12:09:32 +0100

fofix (3.120-1) unstable; urgency=low

  * Initial release

 -- John Stumpo <stump@jstump.com>  Wed, 05 Oct 2009 00:47:11 -0400

=== debian/control ===
Source: fofix-dfsg
Section: games
Priority: optional
Maintainer: Christian Hammers <ch@debian.org>
Build-Depends: debhelper (>= 7), python, dh-python
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/fofix/

Package: fofix
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python (>= 2.5) | python-pysqlite2,
 python-pygame (>= 1.8),
 python-opengl, python-imaging, python-numpy
Recommends: python-ogg, python-pyvorbis, python-pyaudio
Suggests: python-psyco
Description: rhythm game in the style of Rock Band(tm) and Guitar Hero(tm)
 FoFiX (Frets on Fire X) is a fork of Frets on Fire with many added 
 features. The object of the game is to accurately play guitar, bass, 
 or drums using the keyboard (or guitar and drum controllers from Guitar 
 Hero(tm) and Rock Band(tm)) and to sing lyrics as accurately as 
 possible. Many different single-player and multi-player game modes are 
 available.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	install -m0755 debian/fofix.sh debian/fofix/usr/games/fofix
	install -m0644 svg/fofix_icon.svg debian/fofix/usr/share/pixmaps/fofix.svg

binary-arch: install
# We have nothing to do by default.

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/changelog.txt
	dh_installdocs
	dh_install
	dh_installmenu
	dh_python2
	dh_installman debian/fofix.6
	dh_compress
	# Upstream tarball had x permission for most files 
	find debian/fofix/ -type f -print0 | xargs -0 chmod a-x
	chmod +x debian/fofix/usr/games/fofix    
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://fofix.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/fofix/downloads/detail[?]name=fofix-([0-9.]+).tar.gz&.*
